{ config, lib, pkgs, ... }:
{
  users.users."freecorn" = lib.mkIf config.system.extraUsers.enable {
    isNormalUser = true;
    createHome = true;
    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBCADciME1/rtWOlR2BxaAkRSgIZt61SYOgjTi6hw+yS Chinook"
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAICtoHVAmq8Ps7EguBsV3VY4snagzkhH6aXqwbKzuGs2H Radiant"
    ];
    extraGroups = [
      "audio"
      "video"
    ];
    uid = 1001;
    shell = pkgs.zsh;
  };

  environment.persistence."/persist".directories = [ "/home/freecorn" ];
}
